% STrussElementTransformation.m (function)
% Returns the transformation matrix [2x6] of a 3D truss element
% given the coordinates of start node i (x1,y1,z1) and end node j (x2,y2,z2)
% This file is part of the STrussMatlab program

function y = STrussElementTransformation(x1,y1,z1,x2,y2,z2)

L = STrussElementLength(x1,y1,z1,x2,y2,z2);
dx = x2-x1; dy = y2-y1; dz = z2-z1;
c = dx/L; s = dy/L; t = dz/L; 

y = [ c  s  t   0  0  0   ;
      0  0  0   c  s  t ] ;
  
% End of file -------------------------------------------------------------